Installation
Return to Introduction
Formativ may be installed on a single workstation or on a large number of workstations. In order to make the distribution and registration of Formativ as easy as possible, Advansys provides distribution tools and registration utilities.

Formativ consists of a number of files which are copied to each workstation and then registered. In most cases, following the instructions given in the Standard Installation topics will provide optimal results.

To assist the installation of Formativ across the enterprise, advanced users and Network Administrators may wish to consider using Novell ZENworks or the GroupWise Add On Directory facility. See Advanced Installation Techniques for details.

Visit the Formativ Installation Resources page on the Web for more information.


Standard Installation
Formativ can be installed using the supplied Windows setup program. Most small installations are probably best carried out using this method. The standard setup program displays a series of dialogs which guide the user through the installation process. The setup program can be executed 'as-is', in which case it will install Formativ using a set of default program location and user configuration settings.

The setup program can also be executed using optional command line switches, which enable you to customize your Formativ installation. In general, command line switches are used by advanced users and System Administrators to install Formativ onto a large number of workstations.

You may also use an optional Configuration file to specify installation options. Configuration files are normally only used by System Administrators and advanced users.


Standard Installation
Manual installation is performed by running the supplied Windows setup program. Copy the setup program to your hard disk and execute it by double clicking the installation file name in File Explorer, or by running it from a command session.

Note: The following procedure includes the images displayed when installing Formativ Runtime. Other than the product name appearing on captions, the procedure and images are the same for Formativ Studio, Creator, Express and the Solutions Engine.

Installing Formativ

1. Run the appropriate Windows setup program. The installation begins and the following confirmation dialog appears:

Installation confirmation Dialog

It is recommended that all your active Windows applications be shut down at this point. In particular, you must ensure the GroupWise client is not running. Once all active applications are closed, press Next to continue.

2. Backup replaced files.

The Backup replaced files dialog appears:

Backup Dialog

Optionally, you can backup Formativ files replaced during the installation. If you select yes, replaced files will be rolled back during the uninstall process. Once you have made the appropriate choice, press Next to continue.

3. Copy settings as default.

The Copy setting as Default dialog appears:

Copy Settings as Default Dialog

During installation Formativ creates a number of user settings. By default these settings apply to the active Windows user at time of installation. This dialog lets you accept the current user default or to specify that you want the installation settings to apply to all Windows users configured for the workstation. Unless you are an Administrator, it is recommended that you accept the default and install for the current user only. Press Next to continue.

4. Confirm installation.

A final confirmation dialog appears:

Read to Install Dialog

If you are ready to install Formativ, press Next.

5. Installation Complete.

Once Formativ is installed successfully the following dialog is displayed:

Installation Complete Dialog

Formativ is now installed and you may proceed to install/create/execute Formativ solutions.


Command Line Switches
Designed to make it easier for Administrators to configure the installation, Formativ Studio, Creator, Runtime, Express and the Solutions Engine setup programs all support an identical set of command line switches. All command line switches are case-insensitive.

Silent Mode

/s

Run the installation in the background without any user interface or prompts. This is useful for configuring unattended installations. If used, this switch must be the first switch to appear on the command line.

Installing Using a Configuration File

/i-<file name>

Specifies the configuration file to be used during the installation. A configuration file is a text file containing settings to be used during installation. The configuration file must be placed in the same folder location as the Formativ setup file being executed.

Register Formativ During Installation

/r-<Registration Code>

Registers Formativ automatically during the installation. For the registration to be successful you must provide the registration code exactly as supplied. You can obtain a registration code from your Formativ reseller or Advansys.

Register Formativ and Exit

/ro-<Registration Code>

Registers Formativ but does not install Formativ itself. Formativ must already be installed on the workstation for this switch to have any effect. For the registration to be successful you must provide the registration code exactly as supplied. You can obtain a registration code from your Formativ reseller or Advansys.

Unregister Formativ

/u

Unregisters a previously registered version of Formativ. If this switch is used, all others are ignored. Using this switch will NOT provide another 30 day trial period.

Do Not Install the Applet Recorder

/nor

Prevents the installation of the Applet Recorder component. The Applet Recorder is required in order to record actions in GroupWise. This option has no effect when installing Formativ Runtime, Formativ Express or the Formativ Solutions Engine.

Disable the GroupWise 'Tip of the Day' C3PO

/nod

The /nd switch disables the GroupWise 'Tip of the Day' C3PO. The GroupWise 'Tip of the Day' C3PO consumes resources that are scarce under Windows 95/98/NT4.

Do not install the Command Blocker

/nab

This switch has been deprecated. The Command Blocker component must be installed.

Register Business Solutions Pack Only Mode

/so-<Registration Code>

This switch has been deprecated. Use the Registration Utility to register solution packs automatically.

Unregisters Business Solutions Pack Mode

/bus

This switch has been deprecated. Use the Registration Utility to nun-register solution packs automatically.

Register Business Solutions Pack Mode

/hrs-<Registration Code>

This switch has been deprecated. Use the Registration Utility to register solution packs automaticallyly.


Using an Installation Configuration File
If the Formativ setup program is executed with the /i- command switch (see Command Line Switches), it first checks if a plain text file, with the name specified after the switch, exists in the same location from which the installation is executing. If the file exists, the setup program uses the configuration file's custom settings instead of the setup program's default values.

Only use a configuration file when you need to override one or more installation default values. As all entries are optional, you can include just the entries you wish to override. It is highly recommended that you do not include entries in the configuration file unless you have specific reasons to do so. An example of a complete installation configuration file is shown below.

When using a configuration file, please remember:

· You need only provide entries for settings that you need to change.
· Unless you have a specific requirement, we recommend that you accept the default paths (i.e. do not provide path values in the configuration file).

Sample Configuration File

A sample configuration file is shown below. This file shows all possible options. You should only include those options you need.

You can download a sample configuration file from the Formativ Installation Resources page at http://www.advansyscorp.com/formativ_distribution_kit.htm.

;--------------------------------------------------------------------------------
; Advansys Formativ Example Installation Configuration File
;
; This file documents the possible settings that can be used to control the
; installation of Formativ 2.0. All values are optional. Not all options are
; applicable to all versions of Formativ.
;--------------------------------------------------------------------------------

;--------------------------------------------------------------------------------
; Specifies default paths
;--------------------------------------------------------------------------------

[Paths]
Local Applets=C:\data\local
User Data=C:\data\user
Library Backup=C:\data\backup
System Path=C:\Program Files\Advansys\Formativ\System
User Cache Path=C:\Program Files\Advansys\Formativ\Mirror
Local Images Path=C:\Program Files\Advansys\Formativ\Applet_img
Local Help Path=C:\Program Files\Advansys\Formativ\Applet_hlp
Local Config Path=C:\Program Files\Advansys\Formativ\Applet_cfg

;--------------------------------------------------------------------------------
; Specifies default config
;--------------------------------------------------------------------------------
[Configuration]
Maintain Existing Path Settings=1
Portal Folder Enabled=1
Display No Solutions Warning=1
Quick Config=1
Registration Utility=1
Help Center=1
Redirect Associations=1
Create Settings for All Users=0

;--------------------------------------------------------------------------------
; Specifies the network protocol to use when accessing Applets stored in the
; Directory.
;
; Usage:
; 0 - None (Use local Applets only)
; 1 - NDAP if the NetWare client is installed, otherwise use LDAP
; 2 - Use specific protocol as indicated by the Override setting (see below)
;
; Override:
; 0 - NDAP (defaults to local access if the NetWare client is not installed)
; 1 - LDAP
;
;--------------------------------------------------------------------------------
[Protocol]
Usage=1
Override=1

;--------------------------------------------------------------------------------
; Specifies default LDAP settings
;--------------------------------------------------------------------------------
[LDAP]
Port=389
SSL Port=636
Use SSL=0
Server=
Username=
Certificate=
Certificate Source=
Server Requires Logon=1
Save Password=1
Allow Anon Login=0
Automatic Login=1
Default Password=
Ignore Bind Failure=0
Use Default Username=0
Use Default Password=0
Save Username and Password Feature Enabled=1

Configuration File Switches

· Local Applets=<path>

This setting controls where Formativ will store personal Applets for the current Windows user. This could be a folder on a local workstation or a network volume. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'My Documents' location.

· User Data=<path>

This setting controls where user data will be located. The Formativ Applet language contains a function which returns this location and is used by many Applets to access data files. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

· Library Backup=<path>

This setting controls the location where an administrator will backup shared Applets. Applies to Formativ Studio only. If this setting is not specified, by default Formativ uses a folder called \Backup under the Formativ program folder. See the Formativ Studio Guide for more details about Formativ Administrators.

· System Path=<path>

This setting controls the location in which License and Manifest files will be stored. If this setting is not specified, by default Formativ uses a folder based on the Windows 'All Users' location.

· User Cache Path=<path>

This setting controls where the user Applet cache will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

· Local Images Path=<path>

This setting controls where the local Applet images will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

· Local Help Path=<path>

This setting controls where the local Applet help files will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

· Local Config Path=<path>

This setting controls where the local Applet configuration files will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

· NDS Administered=[1,0]

The use of this setting has been deprecated.

· Maintain Existing Path Settings=[1,0]

This setting specifies whether existing folder path settings should be used for this installation. A value of 1 equals true, 0 equals false.

· Portal Folder Enabled=[1,0]

This setting specifies whether the Formativ Portal Folder is enabled in the GroupWise client. A value of 1 equals true, 0 equals false.

· Display No Solutions Warning=[1,0]

This setting specifies whether the no solutions warning dialog is displayed if no Formativ solutions are found when GroupWise starts. A value of 1 equals true, 0 equals false.

· Quick Config=[1,0]

This setting specifies whether the Quick Config application will be installed. The Quick Config application allows users to enable, disable and delete local Applets. A value of 1 equals true, 0 equals false.

· Registration Utility=[1,0]

This setting specifies whether the Registration Utility will be installed. The Registration Utility allows users to register both Formativ and the solution packs. A value of 1 equals true, 0 equals false.

· Help Center=[1,0]

This setting specifies whether the Help Center will be installed. The Help Center allows users to receive online information updates from the Advansys Web site. A value of 1 equals true, 0 equals false.

· Redirect Associations=[1,0]

This setting specifies whether the association between the Windows Script Host and VBS/VBE extensions is disabled by Formativ each time the GroupWise client starts. A value of 1 equals true, 0 equals false. The default is true (1).

· Create Settings for All Users=[1,0]

This setting specifies whether the Formativ installation settings will be applied to all Windows users on the current workstation, or to the current user only. The default is 0 (settings apply to the current user only).

· Usage=[0,1,2]

This setting specifies the network protocol to use when accessing Applets stored in Novell eDirectory. A value of 0 indicates that no protocol should be used and that Formativ is restricted to running Applets from the local Applet folder. A value of 1 is an auto-selection option, where Formativ will use the NetWare client if installed (NDAP protocol) or otherwise it will attempt to use LDAP protocol to access eDirectory. A value of 2 specifies that Formativ should use the Override setting detailed below.

· Override=[1,0]

This setting forces Formativ to use a specific protocol for accessing Novell eDirectory. A value of 0 forces Formativ to use the NetWare client's NDAP protocol, while a value of 1 forces Formativ to use LDAP.

· Port=<port number>

This setting defines the port number when LDAP protocol is used. The default value is 389.

· SSL Port=<port number>

This setting defines the port number when LDAP protocol is used in SSL mode. The default value is 636.

· Use SSL=[1,0]

This setting defines whether a secure connection, SSL, should be used when making a LDAP connection to the eDirectory server. A value of 1 indicates the use of SSL and 0 is a non-secure connection.

· Server=<server address>

This setting is the IP address of the LDAP server.

· Username=<user name>

If required, this setting represents the User ID required for logging into the LDAP server. The user name parameter must conform to the LDAP naming conventions, for example, cn=<user name>, ou=<organizational unit>,o=<organization>.

· Certificate=<Full Certificate Path>

This setting is the full path and name of the LDAP certificate used when connecting to the LDAP server.

· Certificate Source=<Full Certificate Source Path>

This setting is the full path and name of the LDAP master certificate. If supplied, the master certificate specified will be copied to the name and location given in the Certificate setting detailed above.

· Server Requires Logon=[1,0]

This setting identifies whether a specific LDAP login is required when Formativ is initialized upon GroupWise startup. A value of 1 indicates a login is required by the LDAP server.

· Save Password=[1,0]

This setting specifies whether the LDAP password should be saved in the current user's GroupWise account. Enabling this feature means that users do not have to supply a LDAP password each time Formativ is loaded. If selected, the password is saved in a highly secure, encrypted format.

· Allow Anon Login=[1,0]

This setting specifies whether users are able to connect to the given LDAP server as an anonymous user. If false, users must supply a valid password in order to effect the LDAP connection.

· Automatic Login=[1,0]

This setting indicates whether Formativ should attempt to authenticate to the LDAP server, using settings that exist in the Windows registry, without displaying the LDAP login dialog. A value of 1 indicates yes, 0 indicates no. Should insufficient information exist in the Windows registry to effect LDAP authentication, the LDAP login dialog will appear .

· Default Password=<Password>

This setting specifies a default LDAP user password. If no password can be obtained from the user's GroupWise account, this value will be used to authenticate to the specified LDAP server. This setting is used typically when you wish to pre-define a common username and password, where the username is a generic user object with minimal rights in the directory, other than the rights required to access the appropriate Formativ Configuration and Applet objects.

· Ignore Bind Failure=[1,0]

This setting specifies whether Formativ should ignore any LDAP bind failure and continue the startup process without notifying the user of the problem. The default is false (0). Note that setting this value will remove all indications that the bind failed and should be set only by advanced users.

· Use Default Username=[1,0]

This setting specifies whether Formativ should authenticate to the specified LDAP server using the username value stored in the Windows registry. A username value stored in the user's GroupWise account will be ignored. The default value is false (0).

· Use Default Password=[1,0]

This setting specifies whether Formativ should authenticate to the specified LDAP server using the default password value stored in the registry. Any password value stored in the user's GroupWise account will be ignored. The default value is false (0).

· Save Username and Password Feature Enabled=[1,0]

This setting is used to enable or disable the save LDAP username and password feature The default value is true (1).


Location of Files
The setup program uses the following default folder locations during installation. Most default locations can be changed using an installation configuration file. Unless you have a specific requirement, we recommend that you accept the default locations.

File locations are determined dynamically based on Windows system base paths. This provides compliance with Windows application guidelines, helping to ensure Formativ works well in a multi-user environment and complies with Windows security requirements.

The following folder paths are based on a standard Formativ installation on Windows XP Professional and are provided for illustration purposes only. The actual paths used may vary based on the Windows operating system version and other factors.

Note: '<User Name>' indicates a user-specific location.

· Formativ Program
C:\Program Files\Advansys\Formativ

· User Applets
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Applets

· User Applet Data
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Data

· User Applet Config Information
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Config

· User Applet Images
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Images

· License and Manifest Files
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\System

· User Applet Cache
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Cache

· Solution Installation Logs
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Installation Logs

· Encoded Applet Output
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Encoded Output

· Flexalock Applet Output
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Flexalock Output

· Common Applets
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\Applets

· Common Applet Data
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\Data


Advanced Installation Techniques
Formativ may be distributed with the assistance of Novell ZENworks and/or the GroupWise Add-On facility.

More information can also be found on the Formativ Installation Resources page on the Web.


Using Novell ZENWorks
Novell ZENworks is Novell's premier desktop management solution. ZENworks for Desktops makes it easy to roll out and register Formativ Studio, Creator and Runtime automatically for large numbers of users from a central location. ZENworks also makes it easy to update Formativ whenever new software becomes available.

Note: ZENworks is a powerful application with many options, configurations and uses. The following assumes a strong working knowledge of ZENworks, including the creation, editing and use of ZENworks Application Objects. Please refer to your ZENworks documentation for full details.

Using the Example AXT Files

Advansys provides three sample ZENworks AXT files (formativ.axt, formativruntime.axt and formativ_uninstall.axt) which you can edit and import into eDirectory/NDS to create ZENworks Application Objects which carry out installation, registration and uninstallation. You can download the sample AXT files from the Formativ Installation Resources Page on the Web.

While care has been taken in the preparation of these files, the requirements of your site may differ from the settings used in these files. You will almost certainly need to edit the resulting ZENworks Application Objects to suit your specific requirements, particularly with regard to source file locations.

· FORMATIV.AXT is used to build a ZENworks Application Object which installs and registers Formativ on a workstation. The AXT file executes the standard Formativ installation program and, to customize the installation, optionally passes a number of command line parameters to the installer. Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment. For full details on usage of the command line parameters, please see Command Line Switches.

· FORMATIVRUNTIME.AXT is used to build a ZENworks Application Object that installs and registers Formativ Runtime on a workstation. The AXT file executes the standard Formativ Runtime installation program and, to customize the installation, optionally passes a number of command line parameters to the installer. Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment. For full details on usage of the command line parameters, please see Command Line Switches.

· FORMATIV_UNINSTALL.AXT is used to build a ZENworks Application Object that uninstalls Formativ Studio, Creator or Runtime from a workstation. The AXT file executes the standard Formativ uninstallation programs. Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment.


Using the GroupWise Add On Directory
GroupWise 5.5 and 6.x users can take advantage of the GroupWise Add On Directory facility to install Formativ Studio, Creator and Runtime as part of a standard GroupWise client installation.

To use this facility, you must create an ADDON.CFG file. The ADDON.CFG file is an ASCII text file that supports extended ASCII characters. The GroupWise client setup program uses the ADDON.CFG file to install additional components on users' workstations, such as Formativ. The ADDON.CFG is specific to each program being installed. The required program files and the associated ADDON.CFG file must be copied to a subdirectory under software_distribution_directory\CLIENT\WIN32\ADDONS.

During client installation, the GroupWise setup program will search the subdirectories under the \ADDONS directory for any ADDON.CFG files. The setup program will then execute the installation program for that component using the settings specified in the ADDON.CFG. If an entry is missing in the ADDON.CFG file, the installation program will prompt the user for the required information.

Full details regarding the use of the Add On directory can be found in the Novell GroupWise documentation.

Sample AddOn.CFG file

Two sample AddOn.CFG files are available for download from the Formativ Installation Resources Web page.

The Runtime version is shown below. You may need to edit this file to suit your own requirements. Please see the Novell GroupWise setup documentation for full details on the use of the AddOn.CFG file. For full details on usage of the Formativ installer command line parameters, please see Command Line Switches.

; This section is used by the GroupWise client setup program.
;
[GroupWiseAddon]
; Install - Install executable, you should not change this
;
Install=formativruntime.exe
; Parameters - Parameters which can be passed to install (see Formativ Distribution documentation)
;
;/s Silent mode (must be first parameter)
;/r-<Code> Register application during installation
;/ro-<Code> Register application only without software installation
;/u Unregister application
;/i-<config file> Use the given config file to override default settings
;
;Command Line Notes:
;
;The /u (unregister) switch takes precedence over all other switches. If this switch
;is present all others are ignored and the product is simply unregistered. No other files are installed.
Parameters=/s
; Silent - You should not change this, it will
; be automatically appended to the parameters when a silent client install
; is performed
;
Silent=
; Size - Installed size of the addon in kilobytes
;
Size=6770
; Workstation - Yes=Allow for a workstation install
; No=Do not allow for a workstation install
;
; The shipping default for Workstation is: Workstation=Yes
;
Workstation=Yes
; Default - Yes = Default checked in list of components
; No = Default unchecked
;
; The shipping default for Default is: Default=Yes
;
Default=Yes
; Hide - Control whether addon shows in list of components
; Yes=Hide option, uses Default to install or not
; No=User can choose to install or not
;
; The shipping default for Hide is: Hide=No
;
Hide=No
; If this addon appears in the client setup for user selection, this is the
; name that will appear
;
[Name]
US=Advansys Formativ Runtime
; If this addon appears in the client setup for user selection, this is the
; description that will appear
;
[Description]
US=Advansys Formativ Runtime provides the ability to run Encoded and eDirectory based Formativ Applets


.topic 31
Formativ may be installed on a single workstation or on a large number of workstations. In order to make the distribution and registration of Formativ as easy as possible, Advansys provides distribution tools and registration utilities.

Formativ consists of a number of files which are copied to each workstation and then registered.  In most cases, following the instructions given in the Standard Installation topics will provide optimal results.

To assist the installation of Formativ across the enterprise, advanced users and Network Administrators may wish to consider using Novell ZENworks or the GroupWise Add On Directory facility.  See Advanced Installation Techniques for details.

Visit the Formativ Installation Resources page on the Web for more information.

.topic 71
Formativ can be installed using the supplied Windows setup program.  Most small installations are probably best carried out using this method.  The standard setup program displays a series of dialogs which guide the user through the installation process.  The setup program can be executed 'as-is', in which case it will install Formativ using a set of default program location and user configuration settings.

The setup program can also be executed using optional command line switches, which enable you to customize your Formativ installation.  In general, command line switches are used by advanced users and System Administrators to install Formativ onto a large number of workstations.

You may also use an optional Configuration file to specify installation options.  Configuration files are normally only used by System Administrators and advanced users.

.topic 1
Manual installation is performed by running the supplied Windows setup program.  Copy the setup program to your hard disk and execute it by double clicking the installation file name in File Explorer, or by running it from a command session.

Note:	The following procedure includes the images displayed when installing Formativ Runtime.  Other than the product name appearing on captions, the procedure and images are the same for Formativ Studio, Creator, Express and the Solutions Engine.

Installing Formativ

1.	Run the appropriate Windows setup program.  The installation begins and the following confirmation dialog appears:

It is recommended that all your active Windows applications be shut down at this point.  In particular, you must ensure the GroupWise client is not running.  Once all active applications are closed, press Next to continue.

2.	Backup replaced files.

The Backup replaced files dialog appears:

Optionally, you can backup Formativ files replaced during the installation.  If you select yes, replaced files will be rolled back during the uninstall process.  Once you have made the appropriate choice, press Next to continue.

3.	Copy settings as default.

The Copy setting as Default dialog appears:

During installation Formativ creates a number of user settings.  By default these settings apply to the active Windows user at time of installation.  This dialog lets you accept the current user default or to specify that you want the installation settings to apply to all Windows users configured for the workstation.  Unless you are an Administrator, it is recommended that you accept the default and install for the current user only.  Press Next to continue.

4.	Confirm installation.

A final confirmation dialog appears:

If you are ready to install Formativ, press Next.

5.	Installation Complete.

Once Formativ is installed successfully the following dialog is displayed:

Formativ is now installed and you may proceed to install/create/execute Formativ solutions.

.topic 11
Designed to make it easier for Administrators to configure the installation, Formativ Studio, Creator, Runtime, Express and the Solutions Engine setup programs all support an identical set of command line switches.  All command line switches are case-insensitive.

Silent Mode

/s

Run the installation in the background without any user interface or prompts.  This is useful for configuring unattended installations.  If used, this switch must be the first switch to appear on the command line.

Installing Using a Configuration File

/i-<file name>

Specifies the configuration file to be used during the installation.  A configuration file is a text file containing settings to be used during installation. The configuration file must be placed in the same folder location as the Formativ setup file being executed.

Register Formativ During Installation

/r-<Registration Code>

Registers Formativ automatically during the installation. For the registration to be successful you must provide the registration code exactly as supplied.  You can obtain a registration code from your Formativ reseller or Advansys.

Register Formativ and Exit

/ro-<Registration Code>

Registers Formativ but does not install Formativ itself.  Formativ must already be installed on the workstation for this switch to have any effect.  For the registration to be successful you must provide the registration code exactly as supplied.  You can obtain a registration code from your Formativ reseller or Advansys.

Unregister Formativ

/u

Unregisters a previously registered version of Formativ. If this switch is used, all others are ignored.  Using this switch will NOT provide another 30 day trial period.

Do Not Install the Applet Recorder

/nor

Prevents the installation of the Applet Recorder component.  The Applet Recorder is required in order to record actions in GroupWise.  This option has no effect when installing Formativ Runtime, Formativ Express or the Formativ Solutions Engine.

Disable the GroupWise 'Tip of the Day' C3PO

/nod

The /nd switch disables the GroupWise 'Tip of the Day' C3PO. The GroupWise 'Tip of the Day' C3PO consumes resources that are scarce under Windows 95/98/NT4.

Do not install the Command Blocker

/nab

This switch has been deprecated.  The Command Blocker component must be installed.

Register Business Solutions Pack Only Mode

/so-<Registration Code>

This switch has been deprecated.  Use the Registration Utility to register solution packs automatically.

Unregisters Business Solutions Pack Mode

/bus

This switch has been deprecated.  Use the Registration Utility to nun-register solution packs automatically.

Register Business Solutions Pack Mode

/hrs-<Registration Code>

This switch has been deprecated.  Use the Registration Utility to register solution packs automaticallyly.

.topic 21
If the Formativ setup program is executed with the /i- command switch (see Command Line Switches), it first checks if a plain text file, with the name specified after the switch, exists in the same location from which the installation is executing.  If the file exists, the setup program uses the configuration file's custom settings instead of the setup program's default values.

Only use a configuration file when you need to override one or more installation default values.  As all entries are optional, you can include just the entries you wish to override.  It is highly recommended that you do not include entries in the configuration file unless you have specific reasons to do so.  An example of a complete installation configuration file is shown below.

When using a configuration file, please remember:

You need only provide entries for settings that you need to change.
Unless you have a specific requirement, we recommend that you accept the default paths (i.e. do not provide path values in the configuration file).

Sample Configuration File

A sample configuration file is shown below.  This file shows all possible options.  You should only include those options you need.

You can download a sample configuration file from the Formativ Installation Resources page at http://www.advansyscorp.com/formativ_distribution_kit.htm.

;--------------------------------------------------------------------------------
; Advansys Formativ Example Installation Configuration File
;
; This file documents the possible settings that can be used to control the
; installation of Formativ 2.0. All values are optional. Not all options are
; applicable to all versions of Formativ.
;--------------------------------------------------------------------------------

;--------------------------------------------------------------------------------
; Specifies default paths
;--------------------------------------------------------------------------------

[Paths]
Local Applets=C:\data\local
User Data=C:\data\user
Library Backup=C:\data\backup
System Path=C:\Program Files\Advansys\Formativ\System
User Cache Path=C:\Program Files\Advansys\Formativ\Mirror
Local Images Path=C:\Program Files\Advansys\Formativ\Applet_img
Local Help Path=C:\Program Files\Advansys\Formativ\Applet_hlp
Local Config Path=C:\Program Files\Advansys\Formativ\Applet_cfg

;--------------------------------------------------------------------------------
; Specifies default config
;--------------------------------------------------------------------------------
[Configuration]
Maintain Existing Path Settings=1
Portal Folder Enabled=1
Display No Solutions Warning=1
Quick Config=1
Registration Utility=1
Help Center=1
Redirect Associations=1
Create Settings for All Users=0

;--------------------------------------------------------------------------------
; Specifies the network protocol to use when accessing Applets stored in the
; Directory.
;
; Usage:
; 0 - None (Use local Applets only)
; 1 - NDAP if the NetWare client is installed, otherwise use LDAP
; 2 - Use specific protocol as indicated by the Override setting (see below)
;
; Override:
; 0 - NDAP (defaults to local access if the NetWare client is not installed)
; 1 - LDAP
;
;--------------------------------------------------------------------------------
[Protocol]
Usage=1
Override=1

;--------------------------------------------------------------------------------
; Specifies default LDAP settings
;--------------------------------------------------------------------------------
[LDAP]
Port=389
SSL Port=636
Use SSL=0
Server=
Username=
Certificate=
Certificate Source=
Server Requires Logon=1
Save Password=1
Allow Anon Login=0
Automatic Login=1
Default Password=
Ignore Bind Failure=0
Use Default Username=0
Use Default Password=0
Save Username and Password Feature Enabled=1

Configuration File Switches

Local Applets=<path>

This setting controls where Formativ will store personal Applets for the current Windows user. This could be a folder on a local workstation or a network volume. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'My Documents' location.

User Data=<path>

This setting controls where user data will be located. The Formativ Applet language contains a function which returns this location and is used by many Applets to access data files. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

Library Backup=<path>

This setting controls the location where an administrator will backup shared Applets.  Applies to Formativ Studio only.  If this setting is not specified, by default Formativ uses a folder called \Backup under the Formativ program folder.  See the Formativ Studio Guide for more details about Formativ Administrators.

System Path=<path>

This setting controls the location in which License and Manifest files will be stored. If this setting is not specified, by default Formativ uses a folder based on the Windows 'All Users' location.

User Cache Path=<path>

This setting controls where the user Applet cache will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

Local Images Path=<path>

This setting controls where the local Applet images will be located.  If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

Local Help Path=<path>

This setting controls where the local Applet help files will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

Local Config Path=<path>

This setting controls where the local Applet configuration files will be located. If this setting is not specified, by default Formativ uses a folder based on the user's Windows 'Local Settings' location.

NDS Administered=[1,0]

The use of this setting has been deprecated.

Maintain Existing Path Settings=[1,0]

This setting specifies whether existing folder path settings should be used for this installation. A value of 1 equals true, 0 equals false.

Portal Folder Enabled=[1,0]

This setting specifies whether the Formativ Portal Folder is enabled in the GroupWise client. A value of 1 equals true, 0 equals false.

Display No Solutions Warning=[1,0]

This setting specifies whether the no solutions warning dialog is displayed if no Formativ solutions are found when GroupWise starts.  A value of 1 equals true, 0 equals false.

Quick Config=[1,0]

This setting specifies whether the Quick Config application will be installed.  The Quick Config application allows users to enable, disable and delete local Applets.  A value of 1 equals true, 0 equals false.

Registration Utility=[1,0]

This setting specifies whether the Registration Utility will be installed.  The Registration Utility allows users to register both Formativ and the solution packs.  A value of 1 equals true, 0 equals false.

Help Center=[1,0]

This setting specifies whether the Help Center will be installed.  The Help Center allows users to receive online information updates from the Advansys Web site. A value of 1 equals true, 0 equals false.

Redirect Associations=[1,0]

This setting specifies whether the association between the Windows Script Host and VBS/VBE extensions is disabled by Formativ each time the GroupWise client starts.  A value of 1 equals true, 0 equals false. The default is true (1).

Create Settings for All Users=[1,0]

This setting specifies whether the Formativ installation settings will be applied to all Windows users on the current workstation, or to the current user only. The default is 0 (settings apply to the current user only).

Usage=[0,1,2]

This setting specifies the network protocol to use when accessing Applets stored in Novell eDirectory.  A value of 0 indicates that no protocol should be used and that Formativ is restricted to running Applets from the local Applet folder. A value of 1 is an auto-selection option, where Formativ will use the NetWare client if installed (NDAP protocol) or otherwise it will attempt to use LDAP protocol to access eDirectory. A value of 2 specifies that Formativ should use the Override setting detailed below.

Override=[1,0]

This setting forces Formativ to use a specific protocol for accessing Novell eDirectory. A value of 0 forces Formativ to use the NetWare client's NDAP protocol, while a value of 1 forces Formativ to use LDAP.

Port=<port number>

 This setting defines the port number when LDAP protocol is used. The default value is 389.

SSL Port=<port number>

This setting defines the port number when LDAP protocol is used in SSL mode. The default value is 636.

Use SSL=[1,0]

This setting defines whether a secure connection, SSL, should be used when making a LDAP connection to the eDirectory server.  A value of 1 indicates the use of SSL and 0 is a non-secure connection.

Server=<server address>

This setting is the IP address of the LDAP server.

Username=<user name>

If required, this setting represents the User ID required for logging into the LDAP server. The user name parameter must conform to the LDAP naming conventions, for example, cn=<user name>, ou=<organizational unit>,o=<organization>.

Certificate=<Full Certificate Path>

This setting is the full path and name of the LDAP certificate used when connecting to the LDAP server.

Certificate Source=<Full Certificate Source Path>

This setting is the full path and name of the LDAP master certificate. If supplied, the master certificate specified will be copied to the name and location given in the Certificate setting detailed above.

Server Requires Logon=[1,0]

This setting identifies whether a specific LDAP login is required when Formativ is initialized upon GroupWise startup. A value of 1 indicates a login is required by the LDAP server.

Save Password=[1,0]

This setting specifies whether the LDAP password should be saved in the current user's GroupWise account. Enabling this feature means that users do not have to supply a LDAP password each time Formativ is loaded. If selected, the password is saved in a highly secure, encrypted format.

Allow Anon Login=[1,0]

This setting specifies whether users are able to connect to the given LDAP server as an anonymous user. If  false, users must supply a valid password in order to effect the LDAP connection.

Automatic Login=[1,0]

This setting indicates whether Formativ should attempt to authenticate to the LDAP server, using settings that exist in the Windows registry, without displaying the LDAP login dialog.  A value of 1 indicates yes, 0 indicates no.  Should insufficient information exist in the Windows registry to effect LDAP authentication, the LDAP login dialog will appear .

Default Password=<Password>

This setting specifies a default LDAP user password.  If no password can be obtained from the user's GroupWise account, this value will be used to authenticate to the specified LDAP server. This setting is used typically when you wish to pre-define a common username and password, where the username is a generic user object with minimal rights in the directory, other than the rights required to access the appropriate Formativ Configuration and Applet objects.

Ignore Bind Failure=[1,0]

This setting specifies whether Formativ should ignore any LDAP bind failure and continue the startup process without notifying the user of the problem.  The default is false (0).  Note that setting this value will remove all indications that the bind failed and should be set only by advanced users.

Use Default Username=[1,0]

This setting specifies whether Formativ should authenticate to the specified LDAP server using the username value stored in the Windows registry.  A username value stored in the user's GroupWise account will be ignored. The default value is false (0).

Use Default Password=[1,0]

This setting specifies whether Formativ should authenticate to the specified LDAP server using the default password value stored in the registry.  Any password value stored in the user's GroupWise account will be ignored. The default value is false (0).

Save Username and Password Feature Enabled=[1,0]

This setting is used to enable or disable the save LDAP username and password feature The default value is true (1).

.topic 41
The setup program uses the following default folder locations during installation.  Most default locations can be changed using an installation configuration file.  Unless you have a specific requirement, we recommend that you accept the default locations.

File locations are determined dynamically based on Windows system base paths.  This provides compliance with Windows application guidelines, helping to ensure Formativ works well in a multi-user environment and complies with Windows security requirements.

The following folder paths are based on a standard Formativ installation on Windows XP Professional and are provided for illustration purposes only.  The actual paths used may vary based on the Windows operating system version and other factors.

Note:	'<User Name>' indicates a user-specific location.

Formativ Program
C:\Program Files\Advansys\Formativ

User Applets
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Applets

User Applet Data
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Data

User Applet Config Information
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Config

User Applet Images
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Images

License and Manifest Files
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\System

User Applet Cache
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Cache

Solution Installation Logs
C:\Documents and Settings\<User Name>\Local Settings\Application Data\Advansys\Formativ\1.0\Installation Logs

Encoded Applet Output
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Encoded Output

Flexalock Applet Output
C:\Documents and Settings\<User Name>\My Documents\Advansys\Formativ\Flexalock Output

Common Applets
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\Applets

Common Applet Data
C:\Documents and Settings\All Users\Application Data\Advansys\Formativ\1.0\Data

.topic 81
Formativ may be distributed with the assistance of Novell ZENworks and/or the GroupWise Add-On facility.

More information can also be found on the Formativ Installation Resources page on the Web.

.topic 51
Novell ZENworks is Novell's premier desktop management solution. ZENworks for Desktops makes it easy to roll out and register Formativ Studio, Creator and Runtime automatically for large numbers of users from a central location. ZENworks also makes it easy to update Formativ whenever new software becomes available.

Note:	ZENworks is a powerful application with many options, configurations and uses. The following assumes a strong working knowledge of ZENworks, including the creation, editing and use of ZENworks Application Objects. Please refer to your ZENworks documentation for full details.

Using the Example AXT Files

Advansys provides three sample ZENworks AXT files (formativ.axt, formativruntime.axt and formativ_uninstall.axt) which you can edit and import into eDirectory/NDS to create ZENworks Application Objects which carry out installation, registration and uninstallation.  You can download the sample AXT files from the Formativ Installation Resources Page on the Web.

While care has been taken in the preparation of these files, the requirements of your site may differ from the settings used in these files. You will almost certainly need to edit the resulting ZENworks Application Objects to suit your specific requirements, particularly with regard to source file locations.

FORMATIV.AXT is used to build a ZENworks Application Object which installs and registers Formativ on a workstation. The AXT file executes the standard Formativ installation program and, to customize the installation, optionally passes a number of command line parameters to the installer.  Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment. For full details on usage of the command line parameters, please see Command Line Switches.

FORMATIVRUNTIME.AXT is used to build a ZENworks Application Object that installs and registers Formativ Runtime on a workstation. The AXT file executes the standard Formativ Runtime installation program and, to customize the installation, optionally passes a number of command line parameters to the installer.  Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment. For full details on usage of the command line parameters, please see Command Line Switches.

FORMATIV_UNINSTALL.AXT is used to build a ZENworks Application Object that uninstalls Formativ Studio, Creator or Runtime from a workstation. The AXT file executes the standard Formativ uninstallation programs.  Like all AXT files, you will need to edit its contents to ensure that it works appropriately in your environment.

.topic 61
GroupWise 5.5 and 6.x users can take advantage of the GroupWise Add On Directory facility to install Formativ Studio, Creator and Runtime as part of a standard GroupWise client installation.

To use this facility, you must create an ADDON.CFG file. The ADDON.CFG file is an ASCII text file that supports extended ASCII characters. The GroupWise client setup program uses the ADDON.CFG file to install additional components on users' workstations, such as Formativ. The ADDON.CFG is specific to each program being installed. The required program files and the associated ADDON.CFG file must be copied to a subdirectory under software_distribution_directory\CLIENT\WIN32\ADDONS.

During client installation, the GroupWise setup program will search the subdirectories under the \ADDONS directory for any ADDON.CFG files. The setup program will then execute the installation program for that component using the settings specified in the ADDON.CFG. If an entry is missing in the ADDON.CFG file, the installation program will prompt the user for the required information.

Full details regarding the use of the Add On directory can be found in the Novell GroupWise documentation.

Sample AddOn.CFG file

Two sample AddOn.CFG files are available for download from the Formativ Installation Resources Web page.

The Runtime version is shown below. You may need to edit this file to suit your own requirements.  Please see the Novell GroupWise setup documentation for full details on the use of the AddOn.CFG file.  For full details on usage of the Formativ installer command line parameters, please see Command Line Switches.

; This section is used by the GroupWise client setup program.
;
[GroupWiseAddon]
; Install - Install executable, you should not change this
;
Install=formativruntime.exe
; Parameters - Parameters which can be passed to install (see Formativ Distribution documentation)
;
;/s Silent mode (must be first parameter)
;/r-<Code> Register application during installation
;/ro-<Code> Register application only without software installation
;/u Unregister application
;/i-<config file> Use the given config file to override default settings
;
;Command Line Notes:
;
;The /u (unregister) switch takes precedence over all other switches. If this switch
;is present all others are ignored and the product is simply unregistered. No other files are installed.
Parameters=/s
; Silent - You should not change this, it will
; be automatically appended to the parameters when a silent client install
; is performed
;
Silent=
; Size - Installed size of the addon in kilobytes
;
Size=6770
; Workstation - Yes=Allow for a workstation install
; No=Do not allow for a workstation install
;
; The shipping default for Workstation is: Workstation=Yes
;
Workstation=Yes
; Default - Yes = Default checked in list of components
; No = Default unchecked
;
; The shipping default for Default is: Default=Yes
;
Default=Yes
; Hide - Control whether addon shows in list of components
; Yes=Hide option, uses Default to install or not
; No=User can choose to install or not
;
; The shipping default for Hide is: Hide=No
;
Hide=No
; If this addon appears in the client setup for user selection, this is the
; name that will appear
;
[Name]
US=Advansys Formativ Runtime
; If this addon appears in the client setup for user selection, this is the
; description that will appear
;
[Description]
US=Advansys Formativ Runtime provides the ability to run Encoded and eDirectory based Formativ Applets

.topic 100001
No Help topic is associated with this item.

.topic 100002
OK Button

Applies changes you have made and then
closes this dialog box.

.topic 100003
Cancel Button

Closes this dialog box without saving the changes
you have made.

.topic 100004
Close

Closes the current window.

.topic 100005
Help

Displays a help topic that gives you an
overview of this dialog.

.topic 100006
Apply Button

Saves all changes you have made
without closing the dialog box.

.topic 100010
What's This? Button

Click to start up a temporary, context-sensitive help mode. In this mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel context sensitive help.

.topic 100011
What's This? (Help Menu)

Starts up a temporary, context-sensitive help mode.
In this help mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.

.topic 100012
What's This?  Command

To get help on a selected object click What's This?